# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/cb'
require 'sqreen/log'

module Sqreen
  class DefaultCB < CB
    def pre(_inst, args, _budget = nil, &_block)
      Sqreen.log.debug "<< #{@klass} #{@method} #{Thread.current}"
      Sqreen.log.debug args.join ' '
      # log params
    end

    def post(_rv, _inst, _args, _budget = nil, &_block)
      # log "#{rv}"
      Sqreen.log.debug ">> #{@klass} #{@method} #{Thread.current}"
    end
  end
end
