# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

module Sqreen
  module Dependency
    module Sentry
      module_function

      def ignore_sqreen_exceptions
        return unless defined?(Raven) && Raven.respond_to?(:configuration)
        Raven.configuration.excluded_exceptions += ['Sqreen::AttackBlocked']
      rescue ::Exception => e # rubocop:disable Lint/RescueException
        Sqreen.log.warn "Failed setting Sentry's excluded_exceptions: #{e.inspect}"
      end
    end
  end
end
