# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/ecosystem/dispatch_table'

module Sqreen
  module Ecosystem
    module ModuleApi
      module EventListener
        private

        # XXX: callbacks need to be wrapped in order ot handle
        # perfcap, exceptions, and maybe other concerns applying
        # across the board
        def on_request_start(&cb)
          DispatchTable.add_request_start_listener.call(cb)
        end
      end
    end
  end
end
