# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

module Sqreen
  module Ecosystem
    module ModuleApi
      module TracingIdGeneration
        # for injection
        attr_writer :tracing_id_producer

        private

        def create_tracing_id
          @tracing_id_producer.call
        end
      end
    end
  end
end
