# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/graft'

module Sqreen
  module Graft
    class HookPoint
      def apply(obj, suffix, *args, &block)
        raise 'use super' if super?

        obj.send("#{method_name}_without_#{suffix}", *args, &block)
      end
    end
  end
end
