# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/rules/rule_cb'

module Sqreen
  module Rules
    class UpdateRequestContext < RuleCB
      def initialize(*args)
        super(*args)
        @overtimeable = false
      end

      def pre(_inst, args, _budget = nil, &_block)
        framework.store_request(args[0])
        advise_action(nil)
      end
    end
  end
end
