# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/cb'

module Sqreen
  class RunWhenCalledCB < CB
    def initialize(klass, method, &block)
      super(klass, method)

      raise 'missing block' unless block_given?
      @block = block
    end

    def pre(_inst, _args, _budget = nil, &_block)
      # FIXME: implement this removal
      @remove_me = true
      @block.call
    end
  end
end
