# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

module Sqreen
  module WebServer
    module WEBrick
      include Sqreen::WebServer::Generic

      def self.active?
        Sqreen::Dependency.const_exist?('WEBrick::HTTPServer') && ObjectSpace.each_object(::WEBrick::HTTPServer).count > 0
      end
    end
  end
end
