# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/exception'

module Sqreen
  # This exception name is particularly important since it is often seen by
  # Sqreen users when watching their logs. It should not raise any concern to
  # them.
  class AttackBlocked < Sqreen::Exception
    attr_accessor :redirect_url

    def log_message(msg)
      Sqreen.log.warn(msg)
    end
  end
end
