# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/ecosystem/module_api/tracing/client_data'

module Sqreen
  module Ecosystem
    module Databases
      class DatabaseConnectionData
        include ModuleApi::Tracing::ClientData

        # @return [Integer]
        attr_accessor :port

        # @return [String]
        attr_accessor :unix_socket

        # @return [String]
        attr_accessor :username

        # @return [String]
        attr_accessor :db
      end
    end
  end
end
