# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/ecosystem/util/call_writers_from_init'

module Sqreen
  module Ecosystem
    module ModuleApi
      module Tracing
        # The data the tracing module needs in order to populate
        # +Sqreen::Ecosystem::Tracing::Signals::TracingServer::Payload+
        module ServerData
          include Util::CallWritersFromInit

          # @return [Symbol]
          attr_accessor :transport

          # @return [String]
          attr_accessor :client_ip

          # @return [Array<String>]
          attr_accessor :previous_hops

          # @return [String]
          attr_accessor :tracing_identifier
        end
      end
    end
  end
end
