# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

# TODO: => Sqreen::JS:ExecJS

require 'sqreen/js/executable_js'

module Sqreen
  module Js
    class ExecJsRunnable < ExecutableJs
      def initialize(compiled)
        @compiled = compiled
      end

      def run_js_cb(cbname, _budget, arguments)
        @compiled.call(cbname, *arguments)
      end
    end
  end
end
