# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/kit/signals/trace'
require 'sqreen/kit/signals/context/http_context'
require 'sqreen/kit/signals/dto_helper'

module Sqreen
  module Kit
    module Signals
      module Specialized
      end
    end
  end
end

class Sqreen::Kit::Signals::Specialized::HttpTrace < Sqreen::Kit::Signals::Trace
  add_mandatory_attrs :context

  def initialize(values = {})
    self.context_schema = ::Sqreen::Kit::Signals::Context::HttpContext::SCHEMA_VERSION
    super
  end
end
