# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/exception'

module Sqreen
  class WAFError < Sqreen::Exception
    attr_reader :rule_name, :error, :data, :args

    def initialize(rule_name, error, data = nil, args = nil)
      super(error.to_s)
      @rule_name = rule_name
      @error = error
      @data = data
      @args = args
    end
  end
end
