# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

module Sqreen
  module WebServer
    module Rainbows
      include Sqreen::WebServer::Unicorn

      def self.active?
        Sqreen::Dependency.const_exist?('Rainbows::HttpServer') && ObjectSpace.each_object(::Rainbows::HttpServer).count > 0
      end
    end
  end
end
